Bug 240133 - databases/grass7: Remove MOTIF option and dependencies
Summary: databases/grass7: Remove MOTIF option and dependencies
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Niclas Zeising
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2019-08-26 20:17 UTC by Niclas Zeising
Modified: 2019-09-10 05:56 UTC (History)
1 user (show)

See Also:
lbartoletti: maintainer-feedback+


Attachments
Remove MOTIF option from databases/grass7 (1.34 KB, patch)
2019-08-26 20:17 UTC, Niclas Zeising
koobs: maintainer-approval? (lbartoletti)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Niclas Zeising freebsd_committer 2019-08-26 20:17:50 UTC
Created attachment 206933 [details]
Remove MOTIF option from databases/grass7

databases/grass7 has an option, enabled by default, to use MOTIF.  This option does nothing, the configure options are not hooked up to anything and the port is not linked to motif or libGLw.
Since this pulls in a dependency on libGLw, which is deprecated, I'd like to remove this option and the dependency.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-08-26 23:38:40 UTC
^Triage: Reporter is committer, assign accordingly
Comment 2 Loïc Bartoletti 2019-09-09 20:37:27 UTC
Thanks Niclas. LGTM, you can remove safely MOTIF option. I hadn't paid any attention that it's been depreciated for a long time.
Comment 3 commit-hook freebsd_committer 2019-09-10 05:56:33 UTC
A commit references this bug:

Author: zeising
Date: Tue Sep 10 05:56:07 UTC 2019
New revision: 511737
URL: https://svnweb.freebsd.org/changeset/ports/511737

Log:
  databases/grass7: Remove MOTIF option

  Remove the MOTIF option from databases/grass7.  This option is a noop, since
  the configure options it controls doesn't do anything.  In addition, this
  option adds a dependency on graphics/libGLw, which is deprecated.

  PR:		240133
  Approved by:	Loic Bartoletti (maintainer)

Changes:
  head/databases/grass7/Makefile